import { useContext } from "react";
import { TransportContext } from "./TransportProvider";

/**
 * Хук для получения статуса загрузки файла по его upid
 * @returns Функцию для получения статуса загрузки файла по его upid
 */
export function useUploadStatus(upid: string) {
    const context = useContext(TransportContext);
    if (!context) {
        throw new Error("useUploadStatus must be used within a TransportProvider");
    }
    const { uploading } = context;
    let uploadState = uploading.find(u => u.id === upid);

    return uploadState ? uploadState.progress : 0;
}